summaryrefslogtreecommitdiffstats
path: root/remote/modules/german/data/opt/openslx/scripts
diff options
context:
space:
mode:
authorChristian Rößler2013-07-31 18:34:54 +0200
committerChristian Rößler2013-07-31 18:34:54 +0200
commit2b7ba89eae0adf30157a8a244016ae73c4887e44 (patch)
tree78ff6ad4a253bf1f4c610101aca0a0de266c8109 /remote/modules/german/data/opt/openslx/scripts
parentReorganized: Script more robust (disk full or such will not break (diff)
parent[pam] removed old data dir... (diff)
downloadtm-scripts-2b7ba89eae0adf30157a8a244016ae73c4887e44.tar.gz
tm-scripts-2b7ba89eae0adf30157a8a244016ae73c4887e44.tar.xz
tm-scripts-2b7ba89eae0adf30157a8a244016ae73c4887e44.zip
Merge branch 'master' of git.openslx.org:openslx-ng/tm-scripts
Diffstat (limited to 'remote/modules/german/data/opt/openslx/scripts')
-rwxr-xr-xremote/modules/german/data/opt/openslx/scripts/load_german_keymaps22
1 files changed, 22 insertions, 0 deletions
diff --git a/remote/modules/german/data/opt/openslx/scripts/load_german_keymaps b/remote/modules/german/data/opt/openslx/scripts/load_german_keymaps
new file mode 100755
index 00000000..c7dbbb33
--- /dev/null
+++ b/remote/modules/german/data/opt/openslx/scripts/load_german_keymaps
@@ -0,0 +1,22 @@
+#!/bin/bash
+# Script serves as container script for a systemd-call due to the buggyness of several
+# loadkeys-implementations <= kbd (Linux keyboard tools) 1.15.3.
+# This bug can be detected through failure of the command pipe 'dumpkeys|loadkeys' yielding
+# the message "unknown keysym 'compose'.
+
+# So we first try to insert a keymap including compose-lines:
+loadkeys /opt/openslx/keymaps/german_qwertz_compose_keyboard_translation.map
+ERR=$?
+
+# ... if this fails we enter a keymap without compose-lines:
+if [[ "$ERR" -eq 0 ]]; then
+ exit 0 # in that case everything went smooth - exit.
+else
+ loadkeys /opt/openslx/keymaps/german_qwertz_keyboard_translation.map # insert a keymap without compose lines
+ ERR=$?
+fi
+
+# if at this point the second keymap insertion failed we pass the errorlevel to
+# systemd - we cannot do more at this point.
+
+exit $ERR